Package org.jfree.layouting.renderer.model.table.cols

## Class AbstractColumnModel

- java.lang.Object
- - org.jfree.layouting.renderer.model.table.cols.AbstractColumnModel

- All Implemented Interfaces:
    `java.lang.Cloneable`, `TableColumnModel`
  Direct Known Subclasses:
    `SpearateColumnModel`

      public abstract class AbstractColumnModel
      extends java.lang.Object
      implements TableColumnModel

  Creation-Date: 21.07.2006, 19:21:43
  Author:
    Thomas Morgner

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractColumnModel​()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addAutoColumn​()` |
    `void` | `addColumnGroup​(TableColumnGroup column)` |
    `java.lang.Object` | `clone​()` |
    `long` | `getBorderSpacing​()` |
    `TableColumn` | `getColumn​(int i)` |
    `int` | `getColumnCount​()` |
    `TableColumnGroup` | `getColumnGroup​(int i)` |
    `int` | `getColumnGroupCount​()` | The column count may change over time, when new columnGroups get added.
    `TableColumn[]` | `getColumns​()` |
    `TableColumnGroup` | `getGroupForIndex​(int idx)` |
    `boolean` | `isIncrementalModeSupported​()` |
    `boolean` | `isValidated​()` |

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.jfree.layouting.renderer.model.table.cols.TableColumnModel

      `getMinimumChunkSize, getPreferredSize, validateSizes`

- - ### Constructor Detail

    - #### AbstractColumnModel

          public AbstractColumnModel​()

  - ### Method Detail

    - #### addColumnGroup

          public void addColumnGroup​(TableColumnGroup column)

      Specified by:
        `addColumnGroup` in interface `TableColumnModel`

    - #### addAutoColumn

          public void addAutoColumn​()

      Specified by:
        `addAutoColumn` in interface `TableColumnModel`

    - #### isIncrementalModeSupported

          public boolean isIncrementalModeSupported​()

      Specified by:
        `isIncrementalModeSupported` in interface `TableColumnModel`

    - #### getColumnGroupCount

          public int getColumnGroupCount​()

      The column count may change over time, when new columnGroups get added.
      Specified by:
        `getColumnGroupCount` in interface `TableColumnModel`
      Returns:

    - #### getColumnCount

          public int getColumnCount​()

      Specified by:
        `getColumnCount` in interface `TableColumnModel`

    - #### getColumnGroup

          public TableColumnGroup getColumnGroup​(int i)

      Specified by:
        `getColumnGroup` in interface `TableColumnModel`

    - #### getColumn

          public TableColumn getColumn​(int i)

      Specified by:
        `getColumn` in interface `TableColumnModel`

    - #### getColumns

          public TableColumn[] getColumns​()

    - #### isValidated

          public boolean isValidated​()

    - #### getBorderSpacing

          public long getBorderSpacing​()

      Specified by:
        `getBorderSpacing` in interface `TableColumnModel`

    - #### getGroupForIndex

          public TableColumnGroup getGroupForIndex​(int idx)

      Specified by:
        `getGroupForIndex` in interface `TableColumnModel`

    - #### clone

          public java.lang.Object clone​()
                                 throws java.lang.CloneNotSupportedException

      Specified by:
        `clone` in interface `TableColumnModel`
      Overrides:
        `clone` in class `java.lang.Object`
      Throws:
        `java.lang.CloneNotSupportedException`